use mquery::{Auth, QueryManager};
use tokio::runtime::Runtime;

// TODO: Create proper tests with local server
#[test]
fn deserialize_response() {
    let (url, token) = get_url_token();
    let rt = Runtime::new().unwrap();
    let query = format!(
        "sum(M40c82231{{uuid=\"{}\"}}[10d])",
        "1bed9384-5d24-11e3-abe4-2d513ee73a00"
    );
    let _ = rt
        .block_on(
            QueryManager::new(url.parse().unwrap())
                .auth(Auth::Bearer(token))
                .query(query),
        )
        .unwrap();
}

fn get_url_token() -> (String, String) {
    dotenv::dotenv().expect("No .env file found in working dir");
    (
        std::env::var("VM_URL").expect("VM URL not found in env"),
        std::env::var("VM_TOKEN").expect("VM URL not found in env"),
    )
}
